<main id="main">
    <div class="wrapper">
        <!-- ======= CPA Services ======= -->
        <section id="search-property" class="search-property section-gap">

            <div class="search-container">
                <div class="col-sm-12">
                    <div class="d-flex justify-content-center  w-100">
                        <h2>PROPERTY DOCUMENT FINDER</h2>
                    </div>
                    <div class="d-flex justify-content-center bg-color  w-100 align-items-center">

                        <div class="search-box">
                            <div class="form-floating">
                                <input type="email" class="form-control" id="floatingInput" placeholder="name@example.com" required>
                                <label for="floatingInput">First Name</label>
                            </div>
                            <div class="form-floating ">
                                <input type="email" class="form-control" id="floatingInput" placeholder="name@example.com" required>
                                <label for="floatingInput">Last Name</label>
                            </div>
                            <div class="form-floating ">
                                <input type="email" class="form-control" id="floatingInput" placeholder="name@example.com" required>
                                <label for="floatingInput">Address</label>
                            </div>
                            <div class="mob-view">
                                <button class="btn bg-admin-green" id="search" (click)="onSearch()"> Request </button>
                            </div>

                        </div>
                    </div>
                </div>
            </div>

        </section>
        <div class="">dfdsfds</div>
        <ag-grid-angular style="width: 500px; height: 200px;" class="ag-theme-alpine" [rowData]="rowData" [columnDefs]="columnDefs">
        </ag-grid-angular>
        <div class="container">
            <div class="form-container" *ngIf="!shown" id="sresult">
                <div class="card-title">
                    <h5 class=" text-center"> Homeowner Details</h5>
                </div>

                <div class="row">
                    <div class="col-sm-6">
                        <div class="d-flex">
                            <div class="title-name">Name :</div>
                            <div class="title-desc">John Doe</div>
                        </div>
                        <div class="d-flex">
                            <div class="title-name">Address :</div>
                            <div class="title-desc">
                                <p>123 Sample Street</p>
                                <p>Rochester, NY 14614</p>

                            </div>
                        </div>


                    </div>

                </div>

                <div class="row">
                    <div class="col-md-12 mt-5">
                        <table id="add_table" class="table" data-toggle="table" data-mobile-responsive="true">
                            <thead>
                                <tr>
                                    <th></th>

                                    <th>Document Type</th>
                                    <th>Document Description</th>
                                    <th>Upload Document</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>
                                        <input type="button" onclick='selects()' value="Select All" />
                                    </td>
                                    <td colspan="3"></td>
                                    <td>
                                        <!--<a href="./download/Sample-documents.zip" download="" target="_blank">Request All</a>-->
                                        <div>
                                            <!--<input type="submit" name="sendNewSms" class="btn bg-admin-green" data-keyboard="false" data-bs-toggle="modal" data-bs-target="#GetHomeOwnerApproval" id="HomeOwnerApproval" value=" Request All " />
-->
                                            <a href="./download/Sample-documents.zip" name="sendNewSms" data-bs-toggle="modal" data-bs-target="#GetHomeOwnerApproval" id="HomeOwnerApproval" value=" Request All ">Request All</a>
                                        </div>
                                    </td>
                                    <!-- Homeowner confirmation All Docs Modal -->
                                    <div class="modal fade" id="GetHomeOwnerApproval" tabindex="-1" role="dialog" aria-labelledby="signup" aria-hidden="true">
                                        <div class="modal-dialog" role="document" style="width: 300px; margin: 10% auto ;">
                                            <div class="modal-content">
                                                <div class="modal-header" align="center">
                                                    <strong>Homeowner Confirmation</strong>
                                                </div>
                                                <div class="modal-body alert alert-success alert-dismissible fade show">
                                                    <p>
                                                        XYZ Title Company is requesting access to your “Abstract of Title”, "ALTA Owner's Policy", Survey map", "Closing Package". If you are in the process of selling your house, click Approve. If not, or you are unsure why they are making this request, click
                                                        Reject. </p>
                                                    <div>
                                                        <a href="./download/Sample-documents.zip" class="btn bg-admin-green" download="" target="_blank">Approve</a>
                                                        <a href="./search.html" class="btn bg-admin-green">Reject</a>
                                                    </div>


                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </tr>
                                <tr>
                                    <td> <input type="checkbox" name="chk" value="Smile"></td>
                                    <td>
                                        <span>Abstract of Title</span>
                                    </td>
                                    <td>
                                        <span>Abstract of Title</span>
                                    </td>

                                    <td>
                                        <span>Abstract.pdf</span>
                                    </td>
                                    <td>
                                        <!-- <a href="./download/Sample Abstract of Title.pdf" download="" target="_blank">Request</a>-->
                                        <a href="./download/Sample Abstract of Title.pdf" name="sendNewSms" data-bs-toggle="modal" data-bs-target="#GetAbstractHomeOwnerApproval" id="AbstractHomeOwnerApproval" value=" Request ">Request </a>
                                    </td>
                                    <!-- Homeowner confirmation Abstract of Title Modal -->
                                    <div class="modal fade" id="GetAbstractHomeOwnerApproval" tabindex="-1" role="dialog" aria-labelledby="signup" aria-hidden="true">
                                        <div class="modal-dialog" role="document" style="width: 300px; margin: 10% auto ;">
                                            <div class="modal-content">
                                                <div class="modal-header" align="center">
                                                    <strong>Homeowner Confirmation</strong>
                                                </div>
                                                <div class="modal-body alert alert-success alert-dismissible fade show">
                                                    <p>
                                                        XYZ Title Company is requesting access to your “Abstract of Title”. If you are in the process of selling your house, click Approve. If not, or you are unsure why they are making this request, click Reject.
                                                    </p>
                                                    <div>
                                                        <a href="./download/Sample Abstract of Title.pdf" class="btn bg-admin-green" download="" target="_blank">Approve</a>
                                                        <a href="./search.html" class="btn bg-admin-green">Reject</a>
                                                    </div>


                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </tr>
                                <tr>
                                    <td> <input type="checkbox" name="chk" value="Smile"></td>
                                    <td>
                                        <span>ALTA Owner's Policy</span>
                                    </td>
                                    <td>
                                        <span>ALTA Owner's Policy</span>
                                    </td>

                                    <td>
                                        <span>ALTA Owner's Policy.pdf</span>
                                    </td>
                                    <td>
                                        <!--<a href="./download/Sample ALTA Owner's Policy.pdf" download="" target="_blank">Request</a>-->
                                        <a href="./download/Sample ALTA Owner's Policy.pdf" name="sendNewSms" data-bs-toggle="modal" data-bs-target="#GetALTAHomeOwnerApproval" id="ALTAHomeOwnerApproval" value=" Request ">Request </a>
                                    </td>
                                    <!-- Homeowner confirmation ALTA Owners Policy Modal -->
                                    <div class="modal fade" id="GetALTAHomeOwnerApproval" tabindex="-1" role="dialog" aria-labelledby="signup" aria-hidden="true">
                                        <div class="modal-dialog" role="document" style="width: 300px; margin: 10% auto ;">
                                            <div class="modal-content">
                                                <div class="modal-header" align="center">
                                                    <strong>Homeowner Confirmation</strong>
                                                </div>
                                                <div class="modal-body alert alert-success alert-dismissible fade show">
                                                    <p>
                                                        XYZ Title Company is requesting access to your “Sample ALTA Owner's Policy”. If you are in the process of selling your house, click Approve. If not, or you are unsure why they are making this request, click Reject.
                                                    </p>
                                                    <div>
                                                        <a href="./download/Sample ALTA Owner's Policy.pdf" class="btn bg-admin-green" download="" target="_blank">Approve</a>
                                                        <a href="./search.html" class="btn bg-admin-green">Reject</a>
                                                    </div>

                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </tr>
                                <tr>
                                    <td> <input type="checkbox" name="chk" value="Smile"></td>
                                    <td>
                                        <span>Survey map</span>
                                    </td>
                                    <td>
                                        <span>Survey map</span>
                                    </td>

                                    <td>
                                        <span>Survey map.pdf</span>
                                    </td>
                                    <td>
                                        <!--<a href="./download/Sample-Survey.pdf" download="" target="_blank">Request</a>-->
                                        <a href="./download/Sample-Survey.pdf" name="sendNewSms" data-bs-toggle="modal" data-bs-target="#GetSurveyHomeOwnerApproval" id="SurveyHomeOwnerApproval" value=" Request ">Request </a>
                                    </td>
                                    <!-- Homeowner confirmation Survey Map Modal -->
                                    <div class="modal fade" id="GetSurveyHomeOwnerApproval" tabindex="-1" role="dialog" aria-labelledby="signup" aria-hidden="true">
                                        <div class="modal-dialog" role="document" style="width: 300px; margin: 10% auto ;">
                                            <div class="modal-content">
                                                <div class="modal-header" align="center">
                                                    <strong>Homeowner Confirmation</strong>
                                                </div>
                                                <div class="modal-body alert alert-success alert-dismissible fade show">
                                                    <p>
                                                        XYZ Title Company is requesting access to your “Survey Map”. If you are in the process of selling your house, click Approve. If not, or you are unsure why they are making this request, click Reject.
                                                    </p>
                                                    <div>
                                                        <a href="./download/Sample-Survey.pdf" class="btn bg-admin-green" download="" target="_blank">Approve</a>
                                                        <a href="./search.html" class="btn bg-admin-green">Reject</a>
                                                    </div>


                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </tr>
                                <tr>
                                    <td> <input type="checkbox" name="chk" value="Smile"></td>
                                    <td>
                                        <span>Closing Package</span>
                                    </td>
                                    <td>
                                        <span>Closing Package</span>
                                    </td>
                                    <td>
                                        <span>Closing Package</span>
                                    </td>

                                    <td>
                                        <!--<a href="./download/Closing Package.pdf" download="" target="_blank">Request</a>-->
                                        <a href="./download/Closing Package.pdf" name="sendNewSms" data-bs-toggle="modal" data-bs-target="#GetClosingHomeOwnerApproval" id="ClosingHomeOwnerApproval" value=" Request ">Request </a>
                                    </td>
                                    <!-- Homeowner confirmation Survey Map Modal -->
                                    <div class="modal fade" id="GetClosingHomeOwnerApproval" tabindex="-1" role="dialog" aria-labelledby="signup" aria-hidden="true">
                                        <div class="modal-dialog" role="document" style="width: 300px; margin: 10% auto ;">
                                            <div class="modal-content">
                                                <div class="modal-header" align="center">
                                                    <strong>Homeowner Confirmation</strong>
                                                </div>
                                                <div class="modal-body alert alert-success alert-dismissible fade show">
                                                    <p>
                                                        XYZ Title Company is requesting access to your "Closing Package". If you are in the process of selling your house, click Approve. If not, or you are unsure why they are making this request, click Reject.
                                                    </p>
                                                    <div>
                                                        <a href="./download/Closing Package.pdf" class="btn bg-admin-green" download="" target="_blank">Approve</a>
                                                        <a href="./search.html" class="btn bg-admin-green">Reject</a>
                                                    </div>


                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </tr>
                            </tbody>

                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</main>



<!-- <ag-grid-angular 
    style="width: 500px; height: 550px;" 
    class="ag-theme-balham"
    [rowData]="rowData" 
    [gridOptions]="gridOptions"
    [modules]="modules"
    (gridReady)="onGridReady($event)">
</ag-grid-angular> -->